org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheVisitorImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheVisitorImpl

All Implemented Interfaces:
  SchemaIndexCacheVisitor

    public class SchemaIndexCacheVisitorImpl
    extends Object
    implements SchemaIndexCacheVisitor

Traversor operating all primary and backup partitions of given cache.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheVisitorImpl(GridQueryProcessor qryProc, GridCacheContext cctx, String cacheName, String tblName, SchemaIndexOperationCancellationToken cancel)` Constructor.

### Method Summary

Methods
`String` `toString()`
`void` `visit(SchemaIndexCacheVisitorClosure clo)` Visit cache entries and pass them to closure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCacheVisitorImpl

    public SchemaIndexCacheVisitorImpl(GridQueryProcessor qryProc,
                               GridCacheContext cctx,
                               String cacheName,
                               String tblName,
                               SchemaIndexOperationCancellationToken cancel)

Constructor.

Parameters:
  `cctx` - Cache context.
  `cacheName` - Cache name.
  `tblName` - Table name.
  `cancel` - Cancellation token.

### Method Detail

#### visit

    public void visit(SchemaIndexCacheVisitorClosure clo)
               throws IgniteCheckedException

Visit cache entries and pass them to closure.

Specified by:
  `visit` in interface `SchemaIndexCacheVisitor`
Parameters:
  `clo` - Closure.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017